Subject: Re: bug#15413: 24.3.50; Emacs gets hung by find-file for //<TAB>

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 20 Sep 2013 15:17:23 +0900

Eli Zaretskii wrote:
>> Date: Thu, 19 Sep 2013 08:51:41 +0900
>> From: Katsumi Yamaoka <[email-masked]>
>>
>> When performing find-file, Emacs gets hung if I mistyped as:
>>
>> Find file: // and <TAB>
>>
>> As it might be because C-g doesn't break an inf-loop on Cygwin
>> Emacs (bug#14553), there seems to be no way to get out of it
>> except for killing the Emacs process.  For a wonder, Emacs does
>> not eat CPU so much at that time.

> My guess is it doesn't hang, it tries to access the network, since //
> is the beginning of a UNC file name.  Try waiting longer.

I left it for hours but it didn't seem to return.  Oh, I see.
It must be trying to complete a UNC file name.  In xterm that
runs tcsh, `cd //<C-d>' doesn't return, too.  Therefore, this
should not be an Emacs bug.  I'm closing this thread.  Thanks.